Template Numerical Library: TNL::Algorithms::Segments::BiEllpackView< Device, Index, Organization, WarpSize > Class Template Reference

Template Numerical Library version\ main:be7e16d88

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
TNL::Algorithms::Segments::BiEllpackView< Device, Index, Organization, WarpSize > Class Template Reference
Inheritance diagram for TNL::Algorithms::Segments::BiEllpackView< Device, Index, Organization, WarpSize >:
[legend]
Collaboration diagram for TNL::Algorithms::Segments::BiEllpackView< Device, Index, Organization, WarpSize >:
[legend]

## Public Types
using | ConstViewType = BiEllpackView< Device, std::add_const_t< Index >, Organization, WarpSize >
template<typename Device_, typename Index_>
using | ViewTemplate = BiEllpackView< Device_, Index_, Organization, WarpSize >
using | ViewType = BiEllpackView
Public Types inherited from TNL::Algorithms::Segments::BiEllpackBase< Device, Index, Algorithms::Segments::DefaultElementsOrganization< Device >::getOrganization(), 32 >
using | ConstOffsetsView
using | DeviceType
using | IndexType
using | OffsetsView
using | SegmentViewType

## Public Member Functions
__cuda_callable__ | BiEllpackView (BiEllpackView &&) noexcept=default
__cuda_callable__ | BiEllpackView (const BiEllpackView &)=default
__cuda_callable__ | BiEllpackView (Index size, Index storageSize, typename Base::OffsetsView segmentsPermutation, typename Base::OffsetsView groupPointers)
__cuda_callable__ void | bind (BiEllpackView view)
__cuda_callable__ ConstViewType | getConstView () const
__cuda_callable__ ViewType | getView ()
void | load (File &file)
BiEllpackView & | operator= (BiEllpackView &&)=delete
BiEllpackView & | operator= (const BiEllpackView &)=delete
void | save (File &file) const
Public Member Functions inherited from TNL::Algorithms::Segments::BiEllpackBase< Device, Index, Algorithms::Segments::DefaultElementsOrganization< Device >::getOrganization(), 32 >
void | forAllElements (Function &&function) const
void | forAllSegments (Function &&function) const
void | forElements (IndexType begin, IndexType end, Function &&function) const
void | forSegments (IndexType begin, IndexType end, Function &&function) const
__cuda_callable__ IndexType | getGlobalIndex (Index segmentIdx, Index localIdx) const
__cuda_callable__ OffsetsView | getGroupPointersView ()
__cuda_callable__ IndexType | getSegmentsCount () const
__cuda_callable__ IndexType | getSegmentSize (IndexType segmentIdx) const
__cuda_callable__ OffsetsView | getSegmentsPermutationView ()
__cuda_callable__ SegmentViewType | getSegmentView (IndexType segmentIdx) const
__cuda_callable__ IndexType | getSize () const
__cuda_callable__ IndexType | getStorageSize () const
__cuda_callable__ IndexType | getVirtualSegments () const
BiEllpackBase & | operator= (const BiEllpackBase &)=delete
void | printStructure (std::ostream &str) const

## Additional Inherited Members
Static Public Member Functions inherited from TNL::Algorithms::Segments::BiEllpackBase< Device, Index, Algorithms::Segments::DefaultElementsOrganization< Device >::getOrganization(), 32 >
static constexpr int | getLogWarpSize ()
static constexpr ElementsOrganization | getOrganization ()
static std::string | getSegmentsType ()
static std::string | getSerializationType ()
static constexpr int | getWarpSize ()
static constexpr bool | havePadding ()
Protected Member Functions inherited from TNL::Algorithms::Segments::BiEllpackBase< Device, Index, Algorithms::Segments::DefaultElementsOrganization< Device >::getOrganization(), 32 >
__cuda_callable__ void | bind (IndexType size, IndexType storageSize, OffsetsView segmentsPermutation, OffsetsView groupPointers)
| Re-initializes the internal attributes of the base class.
Protected Attributes inherited from TNL::Algorithms::Segments::BiEllpackBase< Device, Index, Algorithms::Segments::DefaultElementsOrganization< Device >::getOrganization(), 32 >
OffsetsView | groupPointers
OffsetsView | segmentsPermutation
IndexType | size
IndexType | storageSize

The documentation for this class was generated from the following file:

- src/TNL/Algorithms/Segments/BiEllpackView.h